Read all limit requests
curl --request GET \
--url https://api.lumx.io/customers/{id}/limit-requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lumx.io/customers/{id}/limit-requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lumx.io/customers/{id}/limit-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "b2e1a2d4-1234-4a3b-9c4d-5e6f7a8b9c0d",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requested": {
"single": "15000.00",
"daily": "60000.00",
"monthly": "120000.00"
},
"approved": {
"single": null,
"daily": null,
"monthly": null
},
"supportingDocumentType": "LIMIT_REQUEST_BANK_STATEMENT",
"supportingDocumentId": "9d1e2f3a-4b5c-6d7e-8f90-1a2b3c4d5e6f",
"status": "IN_REVIEW",
"reviewComment": null,
"createdAt": "2024-01-15T10:00:00Z",
"updatedAt": "2024-01-15T10:00:00Z"
}
],
"pagination": {
"size": 20,
"total": 1,
"hasNextPage": false
}
}Customers
Read all limit requests
This endpoint reads all limit-increase requests for a customer.
GET
/
customers
/
{id}
/
limit-requests
Read all limit requests
Authorizations
Bearer authentication header on the format Bearer <API_KEY>.
Path Parameters
Customer's unique identifier.
Query Parameters
Page number to fetch. Use the nextCursor from the previous response.
Required range:
x >= 1Number of limit requests to return per page.
Required range:
1 <= x <= 50⌘I